Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686433 - proxy timeout loading list of services post update
Summary: proxy timeout loading list of services post update
Keywords:
Status: POST
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.10.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.11.0
Assignee: Keenan Brock
QA Contact: Jaroslav Henner
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks: 1688937
TreeView+ depends on / blocked
 
Reported: 2019-03-07 13:04 UTC by Felix Dewaleyne
Modified: 2019-03-29 16:06 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1688937 (view as bug list)
Environment:
Last Closed:
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Felix Dewaleyne 2019-03-07 13:04:46 UTC
Description of problem:
customer with 6602 services is experiencing timeouts displaying the list of services since their update to 4.7 - in 4.6 the list was displaying.

Version-Release number of selected component (if applicable):
5.10.0.33

How reproducible:
customer environment

Steps to Reproduce:
1.use 4.6 with a high number of services
2.update to 5.10.0.33
3.load the list of services (service/explorer)

Actual results:
proxy timeout with apache taking over 320 seconds loading the page

Expected results:
it should take 5 seconds to display the page (behaviour in 4.6)

Additional info:
multiple appliance setup with dedicated webui appliance with 10 workers.

Comment 24 Keenan Brock 2019-03-13 21:32:58 UTC
FYI, we did fix the double angular library issue, but since it looks like more of an annoyance and less of an issue, we only applied to master.
If the client feels it is causing them performance problems, we can look into back porting it.

https://github.com/ManageIQ/manageiq-ui-classic/pull/5330

Comment 25 CFME Bot 2019-03-14 17:42:28 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/dd426a631d2638fe5a5bb83d04a6247b7a7802a9
commit dd426a631d2638fe5a5bb83d04a6247b7a7802a9
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Wed Mar 13 07:08:43 2019 -0400
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Wed Mar 13 07:08:43 2019 -0400

    Hide services from the Services tree as its redundant and slow

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1686433

 app/presenters/tree_builder_services.rb | 16 +-
 spec/presenters/tree_builder_services_spec.rb | 15 -
 2 files changed, 3 insertions(+), 28 deletions(-)

Comment 27 CFME Bot 2019-03-15 12:03:37 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/1b32bca06c24b2e7cfe56cde92a2001c73b252ab
commit 1b32bca06c24b2e7cfe56cde92a2001c73b252ab
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Thu Mar 14 15:59:00 2019 -0400
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Thu Mar 14 15:59:00 2019 -0400

    TreeBuilderServices - move allow_reselect to `set_locals_for_render`

    before #5290, `allow_reselect` needs to live in `set_locals_for_render`, not `tree_init_options`

    This fixes the hammer backport of https://github.com/ManageIQ/manageiq-ui-classic/pull/5335 to do just that.

    https://bugzilla.redhat.com/show_bug.cgi?id=1686433

 app/presenters/tree_builder_services.rb | 3 +-
 1 file changed, 1 insertion(+), 2 deletions(-)

Comment 28 Satoe Imaishi 2019-03-22 12:47:18 UTC
https://github.com/ManageIQ/manageiq/pull/18543


Note You need to log in before you can comment on or make changes to this bug.